#46 Toshiba Satellite A135 S4527

Current release
closed-out-of-date
nobody
None
5
2011-11-13
2008-08-24
James Nobis
No

Linux hypersomnia 2.6.18-6-686 #1 SMP Mon Aug 18 08:42:39 UTC 2008 i686 GNU/Linux

Debian 4.0 Etch (stable)

modprobe omnibook does not work without forces detailed below. I am using the latest stable release.

2.20070211

BIOS Vendor: TOSHIBA
BIOS Version: V1.70
BIOS Release: 08/15/2007
System Vendor: TOSHIBA
Product Name: Satellite A135
Version: PSAD0U-05400P
Serial Number: 67118238K
Board Vendor: TOSHIBA
Board Name: 1.00

with modprobe omnibook ectype=12

Aug 24 01:34:02 hypersomnia kernel: omnibook: Driver version 2.20070211.
Aug 24 01:34:02 hypersomnia kernel: omnibook: Forced load with EC type 12.
Aug 24 01:34:02 hypersomnia kernel: omnibook: LCD backlight turn off at console blanking is enabled.
Aug 24 01:34:02 hypersomnia kernel: omnibook: Enabling all hotkeys.
Aug 24 01:34:02 hypersomnia kernel: omnibook: Enabled features: blank cooling display hotkeys version dmi lcd temperature touchpad throttling.

$ ls /proc/omnibook/
blank display hotkeys temperature touchpad
cooling dmi lcd throttling version

with modprobe omnibook ectype=13
$ ls /proc/omnibook/
display dmi version

with modprobe omnibook ectype=14
[quel@hypersomnia ~] ls /proc/omnibook/
dmi lcd version

brightness via /proc/omnibook/lcd works correctly (why oh why didn't I find this project sooner)

no battery status but this works fine via acpitool -b

touchpad enable/disable works

no ac status monitoring but acpitool does this fine

cpu temperature reading works

no wireless toggle available

fn+f5 appears to respond tho have not configured X to fully try
none of the other hotkeys appear to have any effect in either X or a console

Discussion

  • James Nobis
    James Nobis
    2008-08-24

    Logged In: YES
    user_id=339349
    Originator: YES

    attaching DSDT

     
  • James Nobis
    James Nobis
    2008-08-24

    Logged In: YES
    user_id=339349
    Originator: YES

    trying to attach again

     
  • James Nobis
    James Nobis
    2008-08-24

    Logged In: YES
    user_id=339349
    Originator: YES

    The upload problem may be temporary or on my end: "File Upload: ArtifactFile: Could not open file for writing." The file is world readable locally so I presume this is a destination server issue.

     
  • James Nobis
    James Nobis
    2011-11-13

    • status: open --> closed-out-of-date
     
  • James Nobis
    James Nobis
    2011-11-13

    2 Debian releases since this bug ticket and the laptop died of heat death anyway.